<template>
  <div>
    <b-button
      v-show="isOwner"
      @click.prevent="updateResource"
      :disabled="isWaitingForResponse || isLoading"
      class="float-right"
      variant="primary"
      >{{ $t("confirm") }}</b-button
    >
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import DeleteModal from "./DeleteModal.vue";

export default Vue.extend({
  name: "Buttons",
  components: {},
  data() {
    return {};
  },
  props: {
    projectId: String,
    resourceId: String,
    resource: Object,
    isWaitingForResponse: {
      default: false,
      type: Boolean,
    },
    isOwner: {
      default: false,
      type: Boolean,
    },
    isLoading: {
      default: false,
      type: Boolean,
    },
  },
  methods: {
    updateResource() {
      this.$emit("updateResource");
    },
    deleteResource() {
      this.$emit("deleteResource");
    },
  },
});
</script>

<style></style>
